Ergebnis 1 bis 6 von 6
  1. #1
    Reseller
    Registriert seit
    24.08.2001
    Beiträge
    199

    ZendOptimizer.so in der php.ini

    Hallo zusammen,

    ich habe gerade mal den CGI-Degugger durchgeschaut und festgestellt, dass ich massenweise Fehlermeldungen wie z.B. diese hier in der Liste habe:

    ...:39999: AH01215: Failed loading /usr/local/php5/ZendOptimizer.so: /usr/local/php5/ZendOptimizer.so: undefined symbol: zend_opcode_handlers, referer...
    ...:56786: AH01215: Contact Zend Technologies at http://www.zend.com/ for a later version of Zend Optimizer.
    ......:56786: AH01215: The Zend Engine API version 220121212 which is installed, is newer.

    Es handelt sich um einen neuen Reseller-Server, auf dem nur PHP >= 5.5 installiert ist. Alle Domains laufen also auf PHP5.5, PHP5.6 oder PHP7. Meinen Recherchen nach gibt es die ZendOptimizer.so nur bis PHP5.3. Allerdings gibt der dF php.ini Editor als Default bei mir folgende Einstellungen vor:
    zend_optimizer.optimization_level = "15"
    zend_optimizer.enable_loader = "1"
    zend_extension = "/usr/local/php5/ZendOptimizer.so"

    Meiner Meinung nach müssten in die Felder ganz andere Daten, oder die Einträge komplett entfernt werden. Wie sieht das bei Euch aus?

  2. #2
    Reseller Avatar von Nico
    Registriert seit
    19.02.2002
    Beiträge
    804

    AW: ZendOptimizer.so in der php.ini

    Ich hab den gleichen Fehler, auch auf nicht Reseller und Shared, und bekomme das selbst mit eigener php.ini nicht weg.
    Da muss d)f wohl mal Hand anlegen.

    MfG

  3. #3
    Communityservice Avatar von Nils Dornblut
    Registriert seit
    15.10.2000
    Beiträge
    42.983

    AW: ZendOptimizer.so in der php.ini

    Hallo athlon,

    wir schauen uns das gerne an, wenn Sie sich über das Kundenmenü an uns wenden. Weitere Infos dazu können Sie natürlich dann auch gerne veröffentlichen.

    Mit freundlichen Grüßen

    Nils Dornblut
    Communityservice
    __________________
    Blog - Facebook - Twitter
    Communitybetreiber: domainfactory GmbH
    Impressum / Pflichtangaben

  4. #4
    Reseller
    Registriert seit
    24.08.2001
    Beiträge
    199

    AW: ZendOptimizer.so in der php.ini

    Hallo Herr Dornblut,

    ich habe mich letztes Wochenende etwas damit befasst und dies hier in der FAQ gefunden:

    Wie kann ich das Modul "ionCube Loader" einbinden?
    https://www.df.eu/de/support/df-faq/...phpini-editor/

    Dann im RP2 im php.ini Editor folgende Werte eingetragen (Domain ist auf PHP5.5 Stable eingestellt)
    zend_optimizer.optimization_level = "15" (unverändert)
    zend_optimizer.enable_loader = "1" (unverändert)
    zend_extension = "/usr/local/lib/php_modules/5-55STABLE/ioncube_loader_lin_5.5.so"

    Danach gab es keine Fehler mehr im Debugger. Ich weiß allerdings nicht, ob das so richtig ist. Vor allem was würde passieren, wenn ich die Domain auf PHP5.6 umstelle und den Eintrag "zend_extension" nicht an die PHP-Version anpasse?

  5. #5
    Reseller Avatar von Nico
    Registriert seit
    19.02.2002
    Beiträge
    804

    AW: ZendOptimizer.so in der php.ini

    Sehr schön, danke.
    Das funktioniert

  6. #6
    Communityservice Avatar von Nils Dornblut
    Registriert seit
    15.10.2000
    Beiträge
    42.983

    AW: ZendOptimizer.so in der php.ini

    Zitat Zitat von athlon Beitrag anzeigen
    Danach gab es keine Fehler mehr im Debugger. Ich weiß allerdings nicht, ob das so richtig ist. Vor allem was würde passieren, wenn ich die Domain auf PHP5.6 umstelle und den Eintrag "zend_extension" nicht an die PHP-Version anpasse?
    Das ist richtig so. Für andere PHP-Versionen muss der Eintrag angepasst werden:

    https://www.df.eu/de/support/df-faq/...-editor/#c8523

    Mit freundlichen Grüßen

    Nils Dornblut
    Communityservice
    __________________
    Blog - Facebook - Twitter
    Communitybetreiber: domainfactory GmbH
    Impressum / Pflichtangaben

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •